Skip to main content
Add a secret to the application

Authorizations

Authorization
string
header
required

Builder authentication and authorization

x-sutro-api-client
string
header
required

A unique identifier for the API Client making a request

Path Parameters

applicationId
string<uuid>
required

Body

application/json

The secret to add to the application

name
string
required
Example:

"MY_SECRET_KEY"

value
string
required
Example:

"supersecretvalue"

Response

The updated application

An application

id
string<uuid>
required

Unique identifier for the application

scode
SCode representation of an Application · object
required

The application's SCode definition

projectId
string<uuid>
required

The project this application belongs to

status
object
required
isActive
boolean
required

Whether the application is currently active for billing/runtime purposes

name
string

The name of the application

serverVersion
string

The current saved server version (semver)

lastPublishedAt
string<date-time>

When the application was last published

lastUnpublishedAt
string<date-time>

When the application was last unpublished